Index: tests/unit/inc/public/class.dc.template.php
===================================================================
--- tests/unit/inc/public/class.dc.template.php	(revision 3064)
+++ tests/unit/inc/public/class.dc.template.php	(revision 3874)
@@ -15,115 +15,120 @@
 use atoum;
 
-require_once __DIR__.'/../../bootstrap.php';
-$f = str_replace('\\','/',__FILE__);
-require_once(str_replace('tests/unit/','',$f));
+require_once __DIR__ . '/../../bootstrap.php';
+$f = str_replace('\\', '/', __FILE__);
+require_once str_replace('tests/unit/', '', $f);
 
 class dcTemplate extends atoum
 {
-	private function getCore() {
-		$controller = new \atoum\mock\controller();
-		$controller->__construct = function() {};
+    private function getCore()
+    {
+        $controller              = new \atoum\mock\controller();
+        $controller->__construct = function () {};
 
-		$core = new \mock\dcCore(null,null,null,null,null,null,$controller);
-		$core->blog = json_decode('{"settings": {"system": {"tpl_allow_php":false,"tpl_use_cache":true}}}',false);
-		return $core;
-	}
+        $core       = new \mock\dcCore(null, null, null, null, null, null, $controller);
+        $core->blog = json_decode('{"settings": {"system": {"tpl_allow_php":false,"tpl_use_cache":true}}}', false);
+        return $core;
+    }
 
-	public function testGetSortByStrWithDefaultValues() {
-		// copy from ../../../../inc/public/class.dc.template.php:getSortByStr()
-		$default_alias = array(
-			'post' => array(
-				'title' => 'post_title',
-				'selected' => 'post_selected',
-				'author' => 'user_id',
-				'date' => 'post_dt',
-				'id' => 'post_id',
-				'comment' => 'nb_comment',
-				'trackback' => 'nb_trackback'
-			),
-			'comment' => array(
-				'author' => 'comment_author',
-				'date' => 'comment_dt',
-				'id' => 'comment_id'
-			)
-		);
+    public function testGetSortByStrWithDefaultValues()
+    {
+        // copy from ../../../../inc/public/class.dc.template.php:getSortByStr()
+        $default_alias = [
+            'post'    => [
+                'title'     => 'post_title',
+                'selected'  => 'post_selected',
+                'author'    => 'user_id',
+                'date'      => 'post_dt',
+                'id'        => 'post_id',
+                'comment'   => 'nb_comment',
+                'trackback' => 'nb_trackback'
+            ],
+            'comment' => [
+                'author' => 'comment_author',
+                'date'   => 'comment_dt',
+                'id'     => 'comment_id'
+            ]
+        ];
 
-		$tpl = new \dcTemplate(sys_get_temp_dir(),'$tpl',$this->getCore());
+        $tpl = new \dcTemplate(sys_get_temp_dir(), '$tpl', $this->getCore());
 
-		foreach ($default_alias as $table => $fields) {
-			$this
-				->string($tpl->getSortByStr(array(),$table))
-				->isEqualTo($default_alias[$table]['date'].' desc');
-			foreach ($fields as $field => $value) {
-				$this
-					->string($tpl->getSortByStr(array('sortby' => $field),$table))
-					->isEqualTo($value.' desc');
-				$this
-					->string($tpl->getSortByStr(array('sortby' => $field,'order' => 'asc'),$table))
-					->isEqualTo($value.' asc');
-			}
-		}
-	}
+        foreach ($default_alias as $table => $fields) {
+            $this
+                ->string($tpl->getSortByStr([], $table))
+                ->isEqualTo($default_alias[$table]['date'] . ' desc');
+            foreach ($fields as $field => $value) {
+                $this
+                    ->string($tpl->getSortByStr(['sortby' => $field], $table))
+                    ->isEqualTo($value . ' desc');
+                $this
+                    ->string($tpl->getSortByStr(['sortby' => $field, 'order' => 'asc'], $table))
+                    ->isEqualTo($value . ' asc');
+            }
+        }
+    }
 
-	public function testGetSortByStrWithNonExistingKeyAndExistingTable() {
-		$tpl = new \dcTemplate(sys_get_temp_dir(),'$tpl',$this->getCore());
-		$this
-			->string($tpl->getSortByStr(array('sortby' => 'dummy_field'),'post'))
-			->isEqualTo('post_dt desc')
-			->string($tpl->getSortByStr(array('sortby' => 'dummy_field'),'comment'))
-			->isEqualTo('comment_dt desc');
-	}
+    public function testGetSortByStrWithNonExistingKeyAndExistingTable()
+    {
+        $tpl = new \dcTemplate(sys_get_temp_dir(), '$tpl', $this->getCore());
+        $this
+            ->string($tpl->getSortByStr(['sortby' => 'dummy_field'], 'post'))
+            ->isEqualTo('post_dt desc')
+            ->string($tpl->getSortByStr(['sortby' => 'dummy_field'], 'comment'))
+            ->isEqualTo('comment_dt desc');
+    }
 
-	public function testGetSortByStrWithNewKeyAndExistingTable() {
-		$new_alias = array();
-		$new_alias['post']['category'] = 'cat_id';
-		$new_alias['post']['format'] = 'post_format';
-		$new_alias['comment']['filter'] = 'spam_filter';
+    public function testGetSortByStrWithNewKeyAndExistingTable()
+    {
+        $new_alias                      = [];
+        $new_alias['post']['category']  = 'cat_id';
+        $new_alias['post']['format']    = 'post_format';
+        $new_alias['comment']['filter'] = 'spam_filter';
 
-		$core = $this->getCore();
-		$core->addBehavior('templateCustomSortByAlias',
-						   function($alias) use ($new_alias) {
-							   foreach ($new_alias as $table => $fields) {
-								   foreach ($fields as $field => $value) {
-									   $alias[$table][$field] = $value;
-								   }
-							   }
-						   }
-		);
+        $core = $this->getCore();
+        $core->addBehavior('templateCustomSortByAlias',
+            function ($alias) use ($new_alias) {
+                foreach ($new_alias as $table => $fields) {
+                    foreach ($fields as $field => $value) {
+                        $alias[$table][$field] = $value;
+                    }
+                }
+            }
+        );
 
-		$tpl = new \dcTemplate(sys_get_temp_dir(),'$tpl',$core);
-		foreach ($new_alias as $table => $fields) {
-			foreach ($fields as $field => $value) {
-				$this
-					->string($tpl->getSortByStr(array('sortby' => $field),$table))
-					->isEqualTo($value.' desc');
-			}
-		}
-	}
+        $tpl = new \dcTemplate(sys_get_temp_dir(), '$tpl', $core);
+        foreach ($new_alias as $table => $fields) {
+            foreach ($fields as $field => $value) {
+                $this
+                    ->string($tpl->getSortByStr(['sortby' => $field], $table))
+                    ->isEqualTo($value . ' desc');
+            }
+        }
+    }
 
-	public function testGetSortByStrWithNewTable() {
-		$new_alias = array();
-		$new_alias['dummy_table']['field1'] = 'field1_id';
-		$new_alias['dummy_table']['field2'] = 'field2_format';
+    public function testGetSortByStrWithNewTable()
+    {
+        $new_alias                          = [];
+        $new_alias['dummy_table']['field1'] = 'field1_id';
+        $new_alias['dummy_table']['field2'] = 'field2_format';
 
-		$core = $this->getCore();
-		$core->addBehavior('templateCustomSortByAlias',
-						   function($alias) use ($new_alias) {
-							   foreach ($new_alias as $table => $fields) {
-								   foreach ($fields as $field => $value) {
-									   $alias[$table][$field] = $value;
-								   }
-							   }
-						   }
-		);
+        $core = $this->getCore();
+        $core->addBehavior('templateCustomSortByAlias',
+            function ($alias) use ($new_alias) {
+                foreach ($new_alias as $table => $fields) {
+                    foreach ($fields as $field => $value) {
+                        $alias[$table][$field] = $value;
+                    }
+                }
+            }
+        );
 
-		$tpl = new \dcTemplate(sys_get_temp_dir(),'$tpl',$core);
-		foreach ($new_alias as $table => $fields) {
-			foreach ($fields as $field => $value) {
-				$this
-					->string($tpl->getSortByStr(array('sortby' => $field),$table))
-					->isEqualTo($value.' desc');
-			}
-		}
-	}
+        $tpl = new \dcTemplate(sys_get_temp_dir(), '$tpl', $core);
+        foreach ($new_alias as $table => $fields) {
+            foreach ($fields as $field => $value) {
+                $this
+                    ->string($tpl->getSortByStr(['sortby' => $field], $table))
+                    ->isEqualTo($value . ' desc');
+            }
+        }
+    }
 }
Index: themes/berlin/_define.php
===================================================================
--- themes/berlin/_define.php	(revision 3731)
+++ themes/berlin/_define.php	(revision 3874)
@@ -17,7 +17,7 @@
     "Dotclear Team",               // Author
     '1.2',                         // Version
-    array(                         // Properties
+    [                              // Properties
         'type'   => 'theme',
         'tplset' => 'dotty'
-    )
+    ]
 );
Index: themes/berlin/_public.php
===================================================================
--- themes/berlin/_public.php	(revision 3731)
+++ themes/berlin/_public.php	(revision 3874)
@@ -17,5 +17,5 @@
 //__('Show menu').__('Hide menu').__('Navigation');
 
-$core->addBehavior('publicHeadContent', array(__NAMESPACE__ . '\behaviorBerlinTheme', 'publicHeadContent'));
+$core->addBehavior('publicHeadContent', [__NAMESPACE__ . '\behaviorBerlinTheme', 'publicHeadContent']);
 
 class behaviorBerlinTheme
@@ -23,9 +23,9 @@
     public static function publicHeadContent()
     {
-        echo \dcUtils::jsVars(array(
+        echo \dcUtils::jsVars([
             'dotclear_berlin_show_menu'  => __('Show menu'),
             'dotclear_berlin_hide_menu'  => __('Hide menu'),
             'dotclear_berlin_navigation' => __('Navigation')
-        ));
+        ]);
     }
 }
Index: themes/berlin/js/berlin.js
===================================================================
--- themes/berlin/js/berlin.js	(revision 3709)
+++ themes/berlin/js/berlin.js	(revision 3880)
@@ -5,5 +5,5 @@
 // Show/Hide main menu
 $('.header__nav').
-before('<button id="hamburger" type="button"><span class="visually-hidden">' + dotclear_berlin_navigation + '</span></button>').
+before(`<button id="hamburger" type="button"><span class="visually-hidden">${dotclear_berlin_navigation}</span></button>`).
 toggle();
 $('#hamburger').click(function() {
@@ -12,7 +12,7 @@
 });
 // Show/Hide sidebar on small screens
-$('#main').prepend('<button id="offcanvas-on" type="button"><span class="visually-hidden">' + dotclear_berlin_show_menu + '</span></button>');
+$('#main').prepend(`<button id="offcanvas-on" type="button"><span class="visually-hidden">${dotclear_berlin_show_menu}</span></button>`);
 $('#offcanvas-on').click(function() {
-  var btn = $('<button id="offcanvas-off" type="button"><span class="visually-hidden">' + dotclear_berlin_hide_menu + '</span></button>');
+  const btn = $(`<button id="offcanvas-off" type="button"><span class="visually-hidden">${dotclear_berlin_hide_menu}</span></button>`);
   $('#wrapper').addClass('off-canvas');
   $('#footer').addClass('off-canvas');
Index: themes/blueSilence/_define.php
===================================================================
--- themes/blueSilence/_define.php	(revision 3731)
+++ themes/blueSilence/_define.php	(revision 3874)
@@ -17,6 +17,6 @@
     "Marco / marcarea.com", // Author
     '1.0',                  // Version
-    array(
+    [
         'type' => 'theme'
-    )
+    ]
 );
Index: themes/customCSS/_define.php
===================================================================
--- themes/customCSS/_define.php	(revision 3731)
+++ themes/customCSS/_define.php	(revision 3874)
@@ -17,6 +17,6 @@
     "Olivier",                  // Author
     '1.2',                      // Version
-    array(
+    [
         'type' => 'theme'
-    )
+    ]
 );
Index: themes/customCSS/_public.php
===================================================================
--- themes/customCSS/_public.php	(revision 3731)
+++ themes/customCSS/_public.php	(revision 3874)
@@ -14,5 +14,5 @@
 if (!defined('DC_RC_PATH')) {return;}
 
-$core->addBehavior('publicHeadContent', array(__NAMESPACE__ . '\tplCustomTheme', 'publicHeadContent'));
+$core->addBehavior('publicHeadContent', [__NAMESPACE__ . '\tplCustomTheme', 'publicHeadContent']);
 
 class tplCustomTheme
Index: themes/default/_define.php
===================================================================
--- themes/default/_define.php	(revision 3731)
+++ themes/default/_define.php	(revision 3874)
@@ -17,6 +17,6 @@
     "Marco & Olivier",                            // Author
     '1.0',                                        // Version
-    array(
+    [
         'type' => 'theme'
-    )
+    ]
 );
Index: themes/default/js/post.js
===================================================================
--- themes/default/js/post.js	(revision 3706)
+++ themes/default/js/post.js	(revision 3880)
@@ -5,7 +5,7 @@
   $('#comment-form p:has(input[type=submit][name=preview],button[type=submit][name=preview])').
   before(
-    '<p class="remember"><input type="checkbox" id="c_remember" name="c_remember" /> ' +
-    '<label for="c_remember">' + post_remember_str + '</label>' +
-    '</p>'
+`<p class="remember"><input type="checkbox" id="c_remember" name="c_remember" />
+<label for="c_remember">${post_remember_str}</label>
+</p>`
   );
 
@@ -46,8 +46,8 @@
 
   function setCookie() {
-    var name = $('#c_name').val();
-    var mail = $('#c_mail').val();
-    var site = $('#c_site').val();
-    var cpath = $('link[rel=top]').attr('href');
+    const name = $('#c_name').val();
+    const mail = $('#c_mail').val();
+    const site = $('#c_site').val();
+    let cpath = $('link[rel=top]').attr('href');
     if (!cpath) {
       cpath = '/';
@@ -73,12 +73,9 @@
       return false;
     }
-
-    var s = c.split('\n');
-
+    const s = c.split('\n');
     if (s.length != 3) {
       dropCookie();
       return false;
     }
-
     return s;
   }
Index: themes/ductile/_config.php
===================================================================
--- themes/ductile/_config.php	(revision 3731)
+++ themes/ductile/_config.php	(revision 3874)
@@ -30,9 +30,9 @@
 }
 
-$list_types = array(
+$list_types = [
     __('Title') => 'title',
     __('Short') => 'short',
     __('Full')  => 'full'
-);
+];
 // Get all _entry-*.html in tpl folder of theme
 $list_types_templates = files::scandir($tpl_path);
@@ -50,5 +50,5 @@
 }
 
-$contexts = array(
+$contexts = [
     'default'      => __('Home (first page)'),
     'default-page' => __('Home (other pages)'),
@@ -57,7 +57,7 @@
     'search'       => __('Search result entries'),
     'archive'      => __('Month archive entries')
-);
-
-$fonts = array(
+];
+
+$fonts = [
     __('Default')           => '',
     __('Ductile primary')   => 'Ductile body',
@@ -71,13 +71,13 @@
     __('Impact')            => 'Impact',
     __('Monospace')         => 'Monospace'
-);
-
-$webfont_apis = array(
+];
+
+$webfont_apis = [
     __('none')                => '',
     __('javascript (Adobe)')  => 'js',
     __('stylesheet (Google)') => 'css'
-);
-
-$font_families = array(
+];
+
+$font_families = [
     // Theme standard
     'Ductile body'      => '"Century Schoolbook", "Century Schoolbook L", Georgia, serif',
@@ -99,5 +99,5 @@
     // Monospace families
     'Monospace'         => 'Consolas, "Andale Mono WT", "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", "Liberation Mono", "Nimbus Mono L", Monaco, "Courier New", Courier, monospace'
-);
+];
 
 function fontDef($c)
@@ -108,5 +108,5 @@
 }
 
-$ductile_base = array(
+$ductile_base = [
     // HTML
     'subtitle_hidden'          => null,
@@ -138,7 +138,7 @@
     'post_title_c_m'           => null,
     'post_simple_title_c'      => null
-);
-
-$ductile_lists_base = array(
+];
+
+$ductile_lists_base = [
     'default'      => 'short',
     'default-page' => 'short',
@@ -147,7 +147,7 @@
     'search'       => 'short',
     'archive'      => 'short'
-);
-
-$ductile_counts_base = array(
+];
+
+$ductile_counts_base = [
     'default'      => null,
     'default-page' => null,
@@ -155,10 +155,10 @@
     'tag'          => null,
     'search'       => null
-);
+];
 
 $ductile_user = $core->blog->settings->themes->get($core->blog->settings->system->theme . '_style');
 $ductile_user = @unserialize($ductile_user);
 if (!is_array($ductile_user)) {
-    $ductile_user = array();
+    $ductile_user = [];
 }
 $ductile_user = array_merge($ductile_base, $ductile_user);
@@ -183,13 +183,13 @@
 // If no stickers defined, add feed Atom one
 if (!is_array($ductile_stickers)) {
-    $ductile_stickers = array(array(
+    $ductile_stickers = [[
         'label' => __('Subscribe'),
         'url'   => $core->blog->url .
         $core->url->getURLFor('feed', 'atom'),
         'image' => 'sticker-feed.png'
-    ));
-}
-
-$ductile_stickers_full = array();
+    ]];
+}
+
+$ductile_stickers_full = [];
 // Get all sticker images already used
 if (is_array($ductile_stickers)) {
@@ -205,8 +205,8 @@
             if (!in_array($v, $ductile_stickers_full)) {
                 // image not already used
-                $ductile_stickers[] = array(
+                $ductile_stickers[] = [
                     'label' => null,
                     'url'   => null,
-                    'image' => $v);
+                    'image' => $v];
             }
         }
@@ -225,14 +225,14 @@
             $ductile_user['preview_not_mandatory'] = (integer) !empty($_POST['preview_not_mandatory']);
 
-            $ductile_stickers = array();
+            $ductile_stickers = [];
             for ($i = 0; $i < count($_POST['sticker_image']); $i++) {
-                $ductile_stickers[] = array(
+                $ductile_stickers[] = [
                     'label' => $_POST['sticker_label'][$i],
                     'url'   => $_POST['sticker_url'][$i],
                     'image' => $_POST['sticker_image'][$i]
-                );
-            }
-
-            $order = array();
+                ];
+            }
+
+            $order = [];
             if (empty($_POST['ds_order']) && !empty($_POST['order'])) {
                 $order = $_POST['order'];
@@ -241,11 +241,11 @@
             }
             if (!empty($order)) {
-                $new_ductile_stickers = array();
+                $new_ductile_stickers = [];
                 foreach ($order as $i => $k) {
-                    $new_ductile_stickers[] = array(
+                    $new_ductile_stickers[] = [
                         'label' => $ductile_stickers[$k]['label'],
                         'url'   => $ductile_stickers[$k]['url'],
                         'image' => $ductile_stickers[$k]['image']
-                    );
+                    ];
                 }
                 $ductile_stickers = $new_ductile_stickers;
@@ -325,5 +325,5 @@
 '<h3>' . __('Content') . '</h3>';
 
-echo '<form id="theme_config" action="' . $core->adminurl->get('admin.blog.theme', array('conf' => '1')) .
+echo '<form id="theme_config" action="' . $core->adminurl->get('admin.blog.theme', ['conf' => '1']) .
     '" method="post" enctype="multipart/form-data">';
 
@@ -357,13 +357,13 @@
     echo
     '<tr class="line" id="l_' . $i . '">' .
-    '<td class="handle minimal">' . form::number(array('order[' . $i . ']'), array(
+    '<td class="handle minimal">' . form::number(['order[' . $i . ']'], [
         'min'     => 0,
         'default' => $count,
         'class'   => 'position'
-    )) .
-    form::hidden(array('dynorder[]', 'dynorder-' . $i), $i) . '</td>' .
-    '<td>' . form::hidden(array('sticker_image[]'), $v['image']) . '<img src="' . $img_url . $v['image'] . '" alt="' . $v['image'] . '" /> ' . '</td>' .
-    '<td scope="row">' . form::field(array('sticker_label[]', 'dsl-' . $i), 20, 255, $v['label']) . '</td>' .
-    '<td>' . form::field(array('sticker_url[]', 'dsu-' . $i), 40, 255, $v['url']) . '</td>' .
+    ]) .
+    form::hidden(['dynorder[]', 'dynorder-' . $i], $i) . '</td>' .
+    '<td>' . form::hidden(['sticker_image[]'], $v['image']) . '<img src="' . $img_url . $v['image'] . '" alt="' . $v['image'] . '" /> ' . '</td>' .
+    '<td scope="row">' . form::field(['sticker_label[]', 'dsl-' . $i], 20, 255, $v['label']) . '</td>' .
+    '<td>' . form::field(['sticker_url[]', 'dsu-' . $i], 40, 255, $v['url']) . '</td>' .
         '</tr>';
 }
@@ -387,11 +387,11 @@
     '<tr>' .
     '<td scope="row">' . $contexts[$k] . '</td>' .
-    '<td>' . form::hidden(array('list_ctx[]'), $k) . form::combo(array('list_type[]'), $list_types, $v) . '</td>';
+    '<td>' . form::hidden(['list_ctx[]'], $k) . form::combo(['list_type[]'], $list_types, $v) . '</td>';
     if (array_key_exists($k, $ductile_counts)) {
-        echo '<td>' . form::hidden(array('count_ctx[]'), $k) . form::number(array('count_nb[]'), array(
+        echo '<td>' . form::hidden(['count_ctx[]'], $k) . form::number(['count_nb[]'], [
             'min'     => 0,
             'max'     => 999,
             'default' => $ductile_counts[$k]
-        )) . '</td>';
+        ]) . '</td>';
     } else {
         echo '<td></td>';
@@ -418,5 +418,5 @@
 echo '<div class="multi-part" id="themes-list' . ($conf_tab == 'css' ? '' : '-css') . '" title="' . __('Presentation') . '">';
 
-echo '<form id="theme_config" action="' . $core->adminurl->get('admin.blog.theme', array('conf' => '1')) .
+echo '<form id="theme_config" action="' . $core->adminurl->get('admin.blog.theme', ['conf' => '1']) .
     '" method="post" enctype="multipart/form-data">';
 
@@ -469,5 +469,5 @@
 
 '<p class="field picker"><label for="blog_title_c">' . __('Color:') . '</label> ' .
-form::color('blog_title_c', array('default' => $ductile_user['blog_title_c'])) .
+form::color('blog_title_c', ['default' => $ductile_user['blog_title_c']]) .
 dcThemeConfig::contrastRatio($ductile_user['blog_title_c'], '#ffffff',
     (!empty($ductile_user['blog_title_s']) ? $ductile_user['blog_title_s'] : '2em'),
@@ -486,5 +486,5 @@
 
 '<p class="field picker"><label for="post_title_c">' . __('Color:') . '</label> ' .
-form::color('post_title_c', array('default' => $ductile_user['post_title_c'])) .
+form::color('post_title_c', ['default' => $ductile_user['post_title_c']]) .
 dcThemeConfig::contrastRatio($ductile_user['post_title_c'], '#ffffff',
     (!empty($ductile_user['post_title_s']) ? $ductile_user['post_title_s'] : '2.5em'),
@@ -498,5 +498,5 @@
 
 '<p class="field picker"><label for="post_simple_title_c">' . __('Color:') . '</label> ' .
-form::color('post_simple_title_c', array('default' => $ductile_user['post_simple_title_c'])) .
+form::color('post_simple_title_c', ['default' => $ductile_user['post_simple_title_c']]) .
 dcThemeConfig::contrastRatio($ductile_user['post_simple_title_c'], '#ffffff',
     '1.1em', // H5 minimum size
@@ -509,5 +509,5 @@
 
 '<p class="field picker"><label for="post_link_v_c">' . __('Normal and visited links color:') . '</label> ' .
-form::color('post_link_v_c', array('default' => $ductile_user['post_link_v_c'])) .
+form::color('post_link_v_c', ['default' => $ductile_user['post_link_v_c']]) .
 dcThemeConfig::contrastRatio($ductile_user['post_link_v_c'], '#ffffff',
     '1em',
@@ -516,5 +516,5 @@
 
 '<p class="field picker"><label for="post_link_f_c">' . __('Active, hover and focus links color:') . '</label> ' .
-form::color('post_link_f_c', array('default' => $ductile_user['post_link_f_c'])) .
+form::color('post_link_f_c', ['default' => $ductile_user['post_link_f_c']]) .
 dcThemeConfig::contrastRatio($ductile_user['post_link_f_c'], '#ebebee',
     '1em',
@@ -535,5 +535,5 @@
 
 '<p class="field picker"><label for="blog_title_c_m">' . __('Color:') . '</label> ' .
-form::color('blog_title_c_m', array('default' => $ductile_user['blog_title_c_m'])) .
+form::color('blog_title_c_m', ['default' => $ductile_user['blog_title_c_m']]) .
 dcThemeConfig::contrastRatio($ductile_user['blog_title_c_m'], '#d7d7dc',
     (!empty($ductile_user['blog_title_s_m']) ? $ductile_user['blog_title_s_m'] : '1.8em'),
@@ -552,5 +552,5 @@
 
 '<p class="field picker"><label for="post_title_c_m">' . __('Color:') . '</label> ' .
-form::color('post_title_c_m', array('default' => $ductile_user['post_title_c_m'])) .
+form::color('post_title_c_m', ['default' => $ductile_user['post_title_c_m']]) .
 dcThemeConfig::contrastRatio($ductile_user['post_title_c_m'], '#ffffff',
     (!empty($ductile_user['post_title_s_m']) ? $ductile_user['post_title_s_m'] : '1.5em'),
Index: themes/ductile/_define.php
===================================================================
--- themes/ductile/_define.php	(revision 3731)
+++ themes/ductile/_define.php	(revision 3874)
@@ -17,7 +17,7 @@
     "Dotclear Team",                        // Author
     '1.5',                                  // Version
-    array(                                  // Properties
+    [                                  // Properties
         'standalone_config' => true,
         'type'              => 'theme'
-    )
+    ]
 );
Index: themes/ductile/_prepend.php
===================================================================
--- themes/ductile/_prepend.php	(revision 3731)
+++ themes/ductile/_prepend.php	(revision 3874)
@@ -19,5 +19,5 @@
 
 # Behaviors
-$GLOBALS['core']->addBehavior('adminPageHTMLHead', array(__NAMESPACE__ . '\tplDuctileThemeAdmin', 'adminPageHTMLHead'));
+$GLOBALS['core']->addBehavior('adminPageHTMLHead', [__NAMESPACE__ . '\tplDuctileThemeAdmin', 'adminPageHTMLHead']);
 
 class tplDuctileThemeAdmin
Index: themes/ductile/_public.php
===================================================================
--- themes/ductile/_public.php	(revision 3731)
+++ themes/ductile/_public.php	(revision 3874)
@@ -17,13 +17,13 @@
 
 # Behaviors
-$core->addBehavior('publicHeadContent', array(__NAMESPACE__ . '\tplDuctileTheme', 'publicHeadContent'));
-$core->addBehavior('publicInsideFooter', array(__NAMESPACE__ . '\tplDuctileTheme', 'publicInsideFooter'));
+$core->addBehavior('publicHeadContent', [__NAMESPACE__ . '\tplDuctileTheme', 'publicHeadContent']);
+$core->addBehavior('publicInsideFooter', [__NAMESPACE__ . '\tplDuctileTheme', 'publicInsideFooter']);
 
 # Templates
-$core->tpl->addValue('ductileEntriesList', array(__NAMESPACE__ . '\tplDuctileTheme', 'ductileEntriesList'));
-$core->tpl->addBlock('EntryIfContentIsCut', array(__NAMESPACE__ . '\tplDuctileTheme', 'EntryIfContentIsCut'));
-$core->tpl->addValue('ductileNbEntryPerPage', array(__NAMESPACE__ . '\tplDuctileTheme', 'ductileNbEntryPerPage'));
-$core->tpl->addValue('ductileLogoSrc', array(__NAMESPACE__ . '\tplDuctileTheme', 'ductileLogoSrc'));
-$core->tpl->addBlock('IfPreviewIsNotMandatory', array(__NAMESPACE__ . '\tplDuctileTheme', 'IfPreviewIsNotMandatory'));
+$core->tpl->addValue('ductileEntriesList', [__NAMESPACE__ . '\tplDuctileTheme', 'ductileEntriesList']);
+$core->tpl->addBlock('EntryIfContentIsCut', [__NAMESPACE__ . '\tplDuctileTheme', 'EntryIfContentIsCut']);
+$core->tpl->addValue('ductileNbEntryPerPage', [__NAMESPACE__ . '\tplDuctileTheme', 'ductileNbEntryPerPage']);
+$core->tpl->addValue('ductileLogoSrc', [__NAMESPACE__ . '\tplDuctileTheme', 'ductileLogoSrc']);
+$core->tpl->addBlock('IfPreviewIsNotMandatory', [__NAMESPACE__ . '\tplDuctileTheme', 'IfPreviewIsNotMandatory']);
 
 class tplDuctileTheme
@@ -109,5 +109,5 @@
 
         $tpl_path   = dirname(__FILE__) . '/tpl/';
-        $list_types = array('title', 'short', 'full');
+        $list_types = ['title', 'short', 'full'];
 
         // Get all _entry-*.html in tpl folder of theme
@@ -133,5 +133,5 @@
             $ret .= '   case \'' . $v . '\':' . "\n" .
             '?>' . "\n" .
-            $core->tpl->includeFile(array('src' => '_entry-' . $v . '.html')) . "\n" .
+            $core->tpl->includeFile(['src' => '_entry-' . $v . '.html']) . "\n" .
                 '<?php ' . "\n" .
                 '       break;' . "\n";
@@ -303,6 +303,6 @@
 
         $ret = '';
-        $css = array();
-        $uri = array();
+        $css = [];
+        $uri = [];
         if (!isset($s['body_font']) || ($s['body_font'] == '')) {
             // See if webfont defined for main font
@@ -369,5 +369,5 @@
         }
 
-        $css = array();
+        $css = [];
 
         # Properties
@@ -420,5 +420,5 @@
 
         # Large screens
-        $css_large = array();
+        $css_large = [];
 
         # Blog title font weight
@@ -478,5 +478,5 @@
 
         # Small screens
-        $css_small = array();
+        $css_small = [];
 
         # Blog title font weight
@@ -532,5 +532,5 @@
     }
 
-    protected static $fonts = array(
+    protected static $fonts = [
         // Theme standard
         'Ductile body'      => '"Century Schoolbook", "Century Schoolbook L", Georgia, serif',
@@ -552,5 +552,5 @@
         // Monospace families
         'Monospace'         => 'Consolas, "Andale Mono WT", "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", "Liberation Mono", "Nimbus Mono L", Monaco, "Courier New", Courier, monospace'
-    );
+    ];
 
     protected static function fontDef($c)
